#!/usr/bin/gnuplot

# fit on a log scale shown on a log scale

Mlf_over_Mtot_M09(Q_over_QstarD) = 0.008*Q_over_QstarD*exp(-(Q_over_QstarD/4.)**2)
Dlf_M09(Q_over_QstarD) = (Mlf_over_Mtot_M09(Q_over_QstarD)*Mtot)**(1./3.)

D_PB_Durda = 100.  # km
D_PB = 143.  # km
Mtot = D_PB**3

a = 0.006
b = 1.4
c = 4.0

g(x,a,b,c) = log10(a * (10**x)**b * exp(-(10**x/c)**2))
f(x) = g(x,a,b,c)

fit f(x) 'Dlf_durda_45DEG.dat' u (log10($1)):(log10(($3/D_PB_Durda)**3)) via a,b,c

Dlf(x) = D_PB*(10**f(log10(x)))**(1./3.)

########################################################################

set term x11

set xl "Q/Q^{star}_D"
set yl "D_{lf} [km]"

set xr [0.0001:1000]
set yr [0.1:]
set logscale xy
set mxtics 10
set sample 1000
set colors podo

ls=9

p \
  "SPH_simulations.dat" u 3:4 w lp lw 3,\
  "Dlf_durda_45DEG.dat" u 1:($3/D_PB_Durda*D_PB) w p,\
  Dlf_M09(x),\
  D_PB*(10**g(log10(x),a-0.00095,b,c))**(1./3.) not ls ls,\
  D_PB*(10**g(log10(x),a+0.00095,b,c))**(1./3.) not ls ls,\
  D_PB*(10**g(log10(x),a,b+0.10,c))**(1./3.)    not ls ls,\
  D_PB*(10**g(log10(x),a,b-0.10,c))**(1./3.)    not ls ls,\
  D_PB*(10**g(log10(x),a,b,c-0.30))**(1./3.)    not ls ls,\
  D_PB*(10**g(log10(x),a,b,c+0.30))**(1./3.)    not ls ls,\
  Dlf(x) lw 3,\
  2.613 w l lt 0
  
pa -1


q


