#!/usr/bin/gnuplot

set xl "{/Helvetica-Oblique D} / km"
set yl "{/Symbol t} / Myr"

set yr [1e-1:1.e7]

set logscale xy
set mxtics 10
set mytics 10
set key left

set ytics (\
  "10^{-2}" 1e-2,\
  "10^{-1}" 1e-1,\
  "1"       1e0 ,\
  "10"      1e1 ,\
  "10^2"    1e2 ,\
  "10^3"    1e3 ,\
  "10^4"    1e4 ,\
  "10^5"    1e5 ,\
  "10^6"    1e6 ,\
  "10^7"    1e7 ,\
  "10^8"    1e8  \
  )

set lmargin 7.0
set tmargin 1.0

set style line 1 lt 1 lc 1 lw 3
set style line 2 lt 2 lc 7 lw 1.5
set style line 3 lt 4 lc 7 lw 1.5
set style line 4 lt 5 lc 7 lw 1

p \
  "../yarko_dadt_LOWK_45DEG/yarko_dadt_inner_belt/tau.out"       u 1:2 t "low {/Helvetica-Oblique K}, {/Symbol g} = +45{/Symbol {\260}}" w l ls 3,\
  "../yarko_dadt_LOWK_45DEG/yarko_dadt_middle_belt/tau.out"      u 1:2 not                                                               w l ls 3,\
  "../yarko_dadt_LOWK_45DEG/yarko_dadt_pristine_zone/tau.out"    u 1:2 not                                                               w l ls 3,\
  "../yarko_dadt_LOWK_45DEG/yarko_dadt_outer_belt/tau.out"       u 1:2 not                                                               w l ls 3,\
  "../yarko_dadt_LOWK_45DEG/yarko_dadt_cybele_region/tau.out"    u 1:2 not                                                               w l ls 3,\
  "../yarko_dadt_LOWK_45DEG/yarko_dadt_high_inclination/tau.out" u 1:2 not                                                               w l ls 3,\
  "../yarko_dadt_MIXEDK_-45DEG/yarko_dadt_inner_belt/tau.out"       u 1:2 t "mixed {/Helvetica-Oblique K}, {/Symbol g} = {\261}45{/Symbol {\260}}" w l ls 2,\
  "../yarko_dadt_MIXEDK_-45DEG/yarko_dadt_middle_belt/tau.out"      u 1:2 not                                                                      w l ls 2,\
  "../yarko_dadt_MIXEDK_-45DEG/yarko_dadt_pristine_zone/tau.out"    u 1:2 not                                                                      w l ls 2,\
  "../yarko_dadt_MIXEDK_-45DEG/yarko_dadt_outer_belt/tau.out"       u 1:2 not                                                                      w l ls 2,\
  "../yarko_dadt_MIXEDK_-45DEG/yarko_dadt_cybele_region/tau.out"    u 1:2 not                                                                      w l ls 2,\
  "../yarko_dadt_MIXEDK_-45DEG/yarko_dadt_high_inclination/tau.out" u 1:2 not                                                                      w l ls 2,\
  "yarko_dadt_inner_belt/tau.out"       u 1:2 t "mixed {/Helvetica-Oblique K}, {/Symbol g} = {\261}45{/Symbol {\260}}, {/Symbol w}({/Helvetica-Oblique R})" w l ls 1,\
  "yarko_dadt_middle_belt/tau.out"      u 1:2 not                                                                                                           w l ls 1,\
  "yarko_dadt_pristine_zone/tau.out"    u 1:2 not                                                                                                           w l ls 1,\
  "yarko_dadt_outer_belt/tau.out"       u 1:2 not                                                                                                           w l ls 1,\
  "yarko_dadt_cybele_region/tau.out"    u 1:2 not                                                                                                           w l ls 1,\
  "yarko_dadt_high_inclination/tau.out" u 1:2 not                                                                                                           w l ls 1,\
  "../input_files_YARKO_BOTTKE/bottke_tau.out" u 1:2 t "Bottke et al. (2005)" w l ls 4
#pa -1

set term post eps enh color dashed "Helvetica" 18
set out "tau_ALL.eps"
set size 0.9,0.8
rep

q

  "../yarko_dadt_HIGHK_45DEG/yarko_dadt_inner_belt/tau.out"       u 1:2 t "high K, 45 deg" w l lt 4,\
  "../yarko_dadt_HIGHK_45DEG/yarko_dadt_middle_belt/tau.out"      u 1:2 not                 w l lt 4,\
  "../yarko_dadt_HIGHK_45DEG/yarko_dadt_pristine_zone/tau.out"    u 1:2 not                 w l lt 4,\
  "../yarko_dadt_HIGHK_45DEG/yarko_dadt_outer_belt/tau.out"       u 1:2 not                 w l lt 4,\
  "../yarko_dadt_HIGHK_45DEG/yarko_dadt_cybele_region/tau.out"    u 1:2 not                 w l lt 4,\
  "../yarko_dadt_HIGHK_45DEG/yarko_dadt_high_inclination/tau.out" u 1:2 not                 w l lt 4
